package com.gic.store.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * tab_store_dict
 */
/**
 *
 * @ClassName: StoreDictDTO
 * @Description:
 * @author zhiwj
 * @date 2020-09-09 16:04
 */
public class StoreDictDTO implements Serializable {
    /**
     *
     */
    private Integer storeDictId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * storeType门店类型；storeStatus门店状态
     */
    private String type;

    /**
     *
     */
    private String value;

    private String key;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    private Integer checked=0;
    /**
     * 共享标记 1:自有 0：共享
     */
    private Integer ownerFlag;
    private List<StoreDictDTO> storeDictList;

    public Integer getStoreDictId() {
        return storeDictId;
    }

    public void setStoreDictId(Integer storeDictId) {
        this.storeDictId = storeDictId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getChecked() {
        return checked;
    }

    public void setChecked(Integer checked) {
        this.checked = checked;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Integer getOwnerFlag() {
        return ownerFlag;
    }

    public StoreDictDTO setOwnerFlag(Integer ownerFlag) {
        this.ownerFlag = ownerFlag;
        return this;
    }

    public void setStoreDictList(List<StoreDictDTO> storeDictList) {
        this.storeDictList = storeDictList;
    }

    public List<StoreDictDTO> getStoreDictList() {
        return storeDictList;
    }

    @Override
    public String toString() {
        return "StoreDictDTO{" +
                "storeDictId=" + storeDictId +
                ", enterpriseId=" + enterpriseId +
                ", type='" + type + '\'' +
                ", value='" + value + '\'' +
                ", key='" + key + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", checked=" + checked +
                ", ownerFlag=" + ownerFlag +
                ", storeDictList=" + storeDictList +
                '}';
    }
}