package com.gic.store.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 自定义属性字段企业关联表
 * @ClassName: StoreFieldRelDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/23 9:30 AM 
 */
public class StoreFieldRelDTO implements Serializable{
    private static final long serialVersionUID = 8351849317343562760L;
    /**
     *
     */
    private Integer fieldRelationId;

    /**
     * 商户id
     */
    private Integer enterpriseId;

    /**
     * 属性字段ID
     */
    private Integer storeFieldId;

    /**
     * 共享标记 1:自有 0：共享
     */
    private Integer ownerFlag;

    /**
     *
     */
    private Integer deleteFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getFieldRelationId() {
        return fieldRelationId;
    }

    public void setFieldRelationId(Integer fieldRelationId) {
        this.fieldRelationId = fieldRelationId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStoreFieldId() {
        return storeFieldId;
    }

    public void setStoreFieldId(Integer storeFieldId) {
        this.storeFieldId = storeFieldId;
    }

    public Integer getOwnerFlag() {
        return ownerFlag;
    }

    public StoreFieldRelDTO setOwnerFlag(Integer ownerFlag) {
        this.ownerFlag = ownerFlag;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "StoreFieldRelDTO{" +
                "fieldRelationId=" + fieldRelationId +
                ", enterpriseId=" + enterpriseId +
                ", storeFieldId=" + storeFieldId +
                ", ownerFlag=" + ownerFlag +
                ", status=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
