package com.gic.store.dto.open;

import java.io.Serializable;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-09-22 17:10
 */
public class StoreRegionOpenDTO implements Serializable {
    private static final long serialVersionUID = -1750619993807144087L;

    private Integer regionId;

    private String regionName;

    /**
     * 共享标记 1:自有 0：共享
     */
    private Integer ownerFlag;

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public Integer getOwnerFlag() {
        return ownerFlag;
    }

    public StoreRegionOpenDTO setOwnerFlag(Integer ownerFlag) {
        this.ownerFlag = ownerFlag;
        return this;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"regionId\":")
                .append(regionId);
        sb.append(",\"regionName\":\"")
                .append(regionName).append('\"');
        sb.append(",\"ownerFlag\":")
                .append(ownerFlag);
        sb.append('}');
        return sb.toString();
    }
}
