package com.gic.store.dto;

import java.io.Serializable;
/**
 * 门店选择器登录人权限
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/26 11:37 AM 
 */
public class StoreResourceDTO implements Serializable{
    private static final long serialVersionUID = -1670193003220258987L;

    private String id;

    private String name;

    /**
     * 共享标记 1:自有 0：共享
     */
    private Integer ownerFlag;

    /**
     * 自有商户名称
     */
    private String ownerEntName;

    private Integer ownerEntId;

    private Integer enterpriseId;

    public String getId() {
        return id;
    }

    public StoreResourceDTO setId(String id) {
        this.id = id;
        return this;
    }

    public String getName() {
        return name;
    }

    public StoreResourceDTO setName(String name) {
        this.name = name;
        return this;
    }

    public Integer getOwnerFlag() {
        return ownerFlag;
    }

    public StoreResourceDTO setOwnerFlag(Integer ownerFlag) {
        this.ownerFlag = ownerFlag;
        return this;
    }

    public String getOwnerEntName() {
        return ownerEntName;
    }

    public StoreResourceDTO setOwnerEntName(String ownerEntName) {
        this.ownerEntName = ownerEntName;
        return this;
    }

    public Integer getOwnerEntId() {
        return ownerEntId;
    }

    public StoreResourceDTO setOwnerEntId(Integer ownerEntId) {
        this.ownerEntId = ownerEntId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public StoreResourceDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    @Override
    public String toString() {
        return "StoreResourceDTO{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", ownerFlag=" + ownerFlag +
                ", ownerEntName='" + ownerEntName + '\'' +
                ", ownerEntId=" + ownerEntId +
                ", enterpriseId=" + enterpriseId +
                '}';
    }
}
