package com.gic.store.service;

import com.gic.api.base.commons.ServiceResponse;
/**
 * 门店授权
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/7/26 3:21 PM 
 */
public interface UnionStoreChangeApiService {
    /**
     * save
     * @Title: save
     * @Description: 保存商户下联合商户资源组授权范围变化日志
     * @author taogs
     * @param ownEnterpriseId
     * @param unionEnterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> save(Integer ownEnterpriseId, Integer unionEnterpriseId);
}
